ServerResourcesFactory

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.internationalization.server
Class ServerResourcesFactory

    java.lang.Object
      org.openswing.swing.internationalization.java.ResourcesFactory
          org.openswing.swing.internationalization.server.ServerResourcesFactory

public abstract class ServerResourcesFactory
extends ResourcesFactory

Title: OpenSwing Framework

Description: Class for retrieve the collection of all internationalization properties: translations, data/numeric/currency formats. This version MUST be used on server side.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`ServerResourcesFactory()`

Method Summary
`abstract void` | `init(javax.servlet.ServletContext context)` Method called by the server controller (Controller object) to initialize the factory.

Methods inherited from class org.openswing.swing.internationalization.java.ResourcesFactory
`getResources, getResources, setLanguage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerResourcesFactory

    public ServerResourcesFactory()

Method Detail

### init

    public abstract void init(javax.servlet.ServletContext context)

  Method called by the server controller (Controller object) to initialize the factory.

  Parameters:
    `context` -

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD